using DigitalData.Core.Abstraction.Application.DTO;

namespace DigitalData.UserManager.Application.DTOs.Base
{
    // TODO: use getter - setter methods for a simple inheritance.
    [Obsolete("Use DigitalData.Core.Exceptions and .Middleware")]
    public record BaseReadDto(int Id, string? AddedWho, DateTime? AddedWhen, string? ChangedWho, DateTime? ChangedWhen) : BaseDTO<int>(Id);
}